DKMS - 2.6 - Dell MegaRaid2 Driver

Errol Neal eneal at dfi-intl.com
Wed Apr 6 09:48:02 CDT 2005


Yes. The SLES9 version is 2.20.4.2. Howerver the issues is this:

<5>SCSI subsystem initialized
<6>megaraid cmm: 2.20.2.4 (Release Date: Thu Dec  9 19:10:23 EST 2004)
<4>megaraid_mbox: unsupported module, tainting kernel.
<6>megaraid: 2.20.4.2 (Release Date: Thu Dec  9 19:10:23 EST 2004)
<6>megaraid: probe new device 0x1028:0x0013:0x1028:0x016d: bus 2:slot
14:func 0
<6>ACPI: PCI interrupt 0000:02:0e.0[A] -> GSI 46 (level, low) -> IRQ 46
<5>megaraid: fw version:[516A] bios version:[H418]
<6>scsi0 : LSI Logic MegaRAID driver
<6>scsi[0]: scanning scsi channel 0 [Phy 0] for non-raid devices
<5>  Vendor: PE/PV     Model: 1x6 SCSI BP       Rev: 1.0
<5>  Type:   Processor                          ANSI SCSI revision: 02
<6>scsi[0]: scanning scsi channel 1 [Phy 1] for non-raid devices
<6>scsi[0]: scanning scsi channel 2 [virtual] for logical drives
<5>  Vendor: MegaRAID  Model: LD 0 RAID1   17G  Rev: 516A
<5>  Type:   Direct-Access                      ANSI SCSI revision: 02
<5>SCSI device sda: 35389440 512-byte hdwr sectors (18119 MB)
<3>sda: asking for cache data failed
<3>sda: assuming drive cache: write through
<6> sda: sda1 sda2
<5>Attached scsi disk sda at scsi0, channel 2, id 0, lun 0

The driver defaults to in write through mode. The problem is not
hardware related. 


-----Original Message-----
From: John_Hull at Dell.com [mailto:John_Hull at Dell.com] 
Sent: Wednesday, April 06, 2005 10:42 AM
To: Errol Neal; dkms-devel at lists.us.dell.com
Subject: RE: DKMS - 2.6 - Dell MegaRaid2 Driver

That driver is for the 2.4 kernel, so there may be changes needed to use
it for 2.6. However, the megaraid version is SLES9 is 2.20.something,
which is newer than the one supplied by Dell, so you may just want to go
with the native one.

-----Original Message-----
From: dkms-devel-bounces-Lists On Behalf Of Errol Neal
Sent: Wednesday, April 06, 2005 8:56 AM
To: dkms-devel-Lists
Subject: DKMS - 2.6 - Dell MegaRaid2 Driver

Trying to use DKMS to compile the megaraid2 driver supplied by Dell.
Platform is PE2850 running SLESv9. 
Obviously, i'm having problems and I'm wondering if what I am trying to
do is possible.
 
 
 

__________________________________________
Errol Uriel Neal Jr.
Network Administrator
DFI International, Inc.
1717 Pennsylvania Ave NW, Suite 1300
Washington, DC  20006
Tel (202)452-6955
Fax (202)452-6910
eneal at dfi-intl.com
www.dfi-intl.com



_______________________________________________
DKMS-devel mailing list
DKMS-devel at lists.us.dell.com
http://lists.us.dell.com/mailman/listinfo/dkms-devel





More information about the DKMS-devel mailing list